package com.youpe.test;

import com.youpe.test.event.DirtBrokenAfter;
import com.youpe.test.event.JoinServerHandler;
import com.youpe.test.item.ModItems;
import com.youpe.test.networking.ModNetworkingManager;
import net.fabricmc.api.ModInitializer;
import net.fabricmc.fabric.api.event.player.PlayerBlockBreakEvents;
import net.fabricmc.fabric.api.networking.v1.PacketByteBufs;
import net.fabricmc.fabric.api.networking.v1.ServerPlayConnectionEvents;
import net.fabricmc.fabric.api.networking.v1.ServerPlayNetworking;
import net.minecraft.block.Blocks;
import net.minecraft.network.PacketByteBuf;
import net.minecraft.server.MinecraftServer;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.util.Identifier;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.youpe.test.server.PlayerData;
import com.youpe.test.server.StateSaverAndLoader;

public class Testing implements ModInitializer {

	public static final String MOD_ID = "testing";
    public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);


	@Override
	public void onInitialize() {
		LOGGER.info("Hello Fabric world!");
		ModNetworkingManager.registerC2SPackets();

		ModItems.registerModItems();

		PlayerBlockBreakEvents.AFTER.register(new DirtBrokenAfter());
		ServerPlayConnectionEvents.JOIN.register(new JoinServerHandler());
	}
}