package com.youpe.test.client;

import net.minecraft.client.gui.screen.Screen;
import net.minecraft.client.gui.tooltip.Tooltip;
import net.minecraft.client.gui.widget.ButtonWidget;
import net.minecraft.text.Text;

public class GUI extends Screen {

    public GUI(Text title) {
        super(title);
    }
    public ButtonWidget button1;
    public ButtonWidget button2;

    @Override
    public void init() {
        button1 = ButtonWidget.builder(Text.literal("Button 1"), button -> {
        System.out.println("You clicked button1!");
        })
            .dimensions(width / 2 - 205, 20, 200, 20)
            .tooltip(Tooltip.of(Text.literal("Tooltip of button1")))
            .build();
        button2 = ButtonWidget.builder(Text.literal("Button 2"), button -> {
        System.out.println("You clicked button2!");
        })
            .dimensions(width / 2 + 5, 20, 200, 20)
            .tooltip(Tooltip.of(Text.literal("Tooltip of button2")))
            .build();

        addDrawableChild(button1);
        addDrawableChild(button2);
    }
    
}
