package com.youpe.test.event;

import com.youpe.test.Testing;
import com.youpe.test.client.CustomInventoryScreen;
import org.lwjgl.glfw.GLFW;

import com.youpe.test.client.GUI;

import net.fabricmc.fabric.api.client.event.lifecycle.v1.ClientTickEvents;
import net.fabricmc.fabric.api.client.keybinding.v1.KeyBindingHelper;
import net.minecraft.client.MinecraftClient;
import net.minecraft.client.option.KeyBinding;
import net.minecraft.client.util.InputUtil;
import net.minecraft.text.Text;

public class KeyInputHandler {

    public static final String KEY_CATEGORY_TESTING = "key.category.testing.tutorial";
    public static final String KEY_TEST = "key.testing.test";

    public static KeyBinding modkey;

    public static void registerKeyInputs() {
        registerKeyBindings();
        ClientTickEvents.END_CLIENT_TICK.register(client -> {
            if (modkey.wasPressed()) {
                Testing.LOGGER.info("NAZHAL PIZDEC BLYA");
                client.player.sendMessage(Text.literal("PIZDEC2"));
                MinecraftClient.getInstance().setScreen(new CustomInventoryScreen(MinecraftClient.getInstance().player));
            }
        });
    }

    public static void registerKeyBindings() {
        modkey = KeyBindingHelper.registerKeyBinding(new KeyBinding(
            KEY_TEST,
            InputUtil.Type.KEYSYM,
            GLFW.GLFW_KEY_B,
            KEY_CATEGORY_TESTING));
    }

}
