package com.youpe.test.networking;

import com.youpe.test.Testing;

import com.youpe.test.networking.packet.DirtBrokenS2CPacket;
import com.youpe.test.networking.packet.InitSyncS2CPacket;
import net.fabricmc.fabric.api.client.networking.v1.ClientPlayNetworking;
import net.fabricmc.fabric.api.networking.v1.ServerPlayNetworking;
import net.minecraft.util.Identifier;

public class ModNetworkingManager {
    public static final Identifier DIRT_BROKEN = new Identifier(Testing.MOD_ID, "msg_dirt_broken");
    public static final Identifier INIT_SYNC = new Identifier(Testing.MOD_ID, "msg_init_sync");

    public static void registerC2SPackets(){

    }
    public static void registerS2CPackets(){
        ClientPlayNetworking.registerGlobalReceiver(DIRT_BROKEN, DirtBrokenS2CPacket::receive);
        ClientPlayNetworking.registerGlobalReceiver(INIT_SYNC, InitSyncS2CPacket::receive);
    }
}
